XML Standard API: Class FactoryConfigurationError

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream
Class FactoryConfigurationError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--javax.xml.stream.FactoryConfigurationError

All Implemented Interfaces:
  java.io.Serializable

public class FactoryConfigurationError
extends java.lang.Error

See Also:
  Serialized Form

Constructor Summary
`FactoryConfigurationError()`
`FactoryConfigurationError(java.lang.Exception e)`
`FactoryConfigurationError(java.lang.Exception e, java.lang.String msg)`
`FactoryConfigurationError(java.lang.String msg)`
`FactoryConfigurationError(java.lang.String msg, java.lang.Exception e)`

Method Summary
`java.lang.Exception` | `getException()`
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FactoryConfigurationError

    public FactoryConfigurationError()

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e)

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.Exception e,
                                     java.lang.String msg)

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.String msg)

### FactoryConfigurationError

    public FactoryConfigurationError(java.lang.String msg,
                                     java.lang.Exception e)

Method Detail

### getException

    public java.lang.Exception getException()

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.